datacache <- new.env(hash=TRUE, parent=emptyenv())

cangene11stcfug <- function() showQCData("cangene11stcfug", datacache)
cangene11stcfug_dbconn <- function() dbconn(datacache)
cangene11stcfug_dbfile <- function() dbfile(datacache)
cangene11stcfug_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
cangene11stcfug_dbInfo <- function() dbInfo(datacache)

cangene11stcfugORGANISM <- "Canis familiaris"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "cangene11stcfug.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("CANINECHIP_DB", "cangene11stcfug", "chip cangene11stcfug", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("cangene11stcfug.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(cangene11stcfug_dbconn())
}

